X
Tap here to go to the mobile version of the site.

Support Forum

It seems that NOSquint has quit working and so I am asking how to fix it or replace it with a similar add-on as it seems other zoom add-ons are also broken?

Posted

About 4 or so updates to the developer edition 64-bit broke NoSquint, which you have as a recommended add-on. I use this add-on a lot and it just quit working and it seems that it also broke any other zooming add-on that have site by site prefs set. I also use the site by site color settings. I like to make certain that links are set to one color for visited and another color for those that I have not visited. Nothing I have tried can do all the NoSquint can do and I am really trying to find a way to fix it, or at least something that will actually work!!

About 4 or so updates to the developer edition 64-bit broke NoSquint, which you have as a recommended add-on. I use this add-on a lot and it just quit working and it seems that it also broke any other zooming add-on that have site by site prefs set. I also use the site by site color settings. I like to make certain that links are set to one color for visited and another color for those that I have not visited. Nothing I have tried can do all the NoSquint can do and I am really trying to find a way to fix it, or at least something that will actually work!!

Chosen solution

If you need to use Win64 Firefox then why not use Firefox 45.0.1 Release as there has been Win64 Firefox Releases since 42.0. www.mozilla.org/firefox/all/

Read this answer in context 1

Additional System Details

Installed Plug-ins

  • Shockwave Flash 21.0 d0
  • 5.1.41212.0

Application

  • Firefox 47.0a2
  • User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:47.0) Gecko/20100101 Firefox/47.0
  • Support URL: https://support.mozilla.org/1/firefox/47.0a2/WINNT/en-US/

Extensions

  • About config button 1.0.1-signed (aboutconfigbutton@firefox)
  • Add Bookmark Here ² 41.0.20160302 (abhere2@moztw.org)
  • Add Google Search To New Tab Page 1.0.2.1-signed (newtabgoogle@graememcc.co.uk)
  • Add-on Update Checker 2.15 ({891f0410-aaa2-11e0-9f1c-0800200c9a66})
  • Bookmark Deduplicator 1.3.1.1-signed (bookmarkdeduplicator@foxhatdev)
  • Bookmarks Checker - check for bad links 3.1.1.1-signed (firefoxbookmarkchecker@everhelper.me)
  • Classic Theme Restorer 1.4.9 (ClassicThemeRestorer@ArisT2Noia4dev)
  • Color That Site! 0.16.1-signed (ColourThatSite@einspeiser.de)
  • Default Full Zoom Level 7.7 ({D9A7CBEC-DE1A-444f-A092-844461596C4D})
  • Downloads Window 0.5.5 ({a7213cf2-fa1e-4373-88ff-255d0abd3020})
  • DownThemAll! 2.0.18.1-signed.1-let-fixed ({DDC359D1-844A-42a7-9AA1-88A850A938A8})
  • Facebook Disconnect 2.1.3.1-signed (facebook@disconnect.me)
  • Favicon Restorer 1.4.1-signed (faviconrestorer@masserog.it)
  • FavIconReloader 0.8.1-signed (FavIconReloader@mozilla.org)
  • FEBE 8.9.1 ({4BBDD651-70CF-4821-84F8-2B918CF89CA3})
  • Firefox Hello Beta 1.1.12 (loop@mozilla.org)
  • FoxClocks 4.2.1 ({d37dc5d0-431d-44e5-8c91-49419370caa1})
  • Ghostery 6.0.3 (firefox@ghostery.com)
  • gui:config 1.9.1 (guiconfig@slosd.net)
  • Iconic Firefox Menu 2.0.1-signed (firefox-menu-icon@benjamin.smedbergs.us)
  • LastPass 4.1.5a (support@lastpass.com)
  • LinkExtend 1.1.5.1-signed ({cf47767d-5f3a-4e32-9fce-5d79565c9702})
  • Multi-process staged rollout 1.0 (e10srollout@mozilla.org)
  • Places Maintenance 2.0.1 (places-maintenance@bonardo.net)
  • Pocket 1.0 (firefox@getpocket.com)
  • QuickJava 2.0.7 ({E6C1199F-E687-42da-8C24-E7770CC3AE66})
  • Restart Button 0.1.5.1-signed (restartbutton@strk.jp)
  • Session Manager 0.8.1.11 ({1280606b-2510-4fe0-97ef-9b5a22eafe30})
  • Simple Clocks 2.4.5.1-signed (simpleClocks@grbradt.org)
  • Spell Checker 1.3.2.1-signed (gaurangnshah@gmail.com)
  • Status-4-Evar 2015.11.16.23.1-signed.1-let-fixed (status4evar@caligonstudios.com)
  • Tab Mix Plus 0.4.2.2 ({dc572301-7619-498c-a57d-39143191b318})
  • The Addon Bar (restored) 3.2.9-compat-fixed (the-addon-bar@GeekInTraining-GiT)
  • Troubleshooter 1.1a.1-signed (troubleshooter@mozilla.org)
  • uBlock Origin 1.6.4 (uBlock0@raymondhill.net)
  • UI Fixer 1.4.4.1-signed (ff4uifix@nikolakocic.com)
  • Web Developer 1.2.5.1-signed ({c45c406e-ab73-11d8-be73-000a95be3b12})
  • Xmarks 4.3.18 (foxmarks@kei.com)
  • YesScript 2.1.1-signed (yesscript@userstyles.org)
  • Yet Another Smooth Scrolling 3.2.5 (yetanothersmoothscrolling@kataho)
  • Zoom Page 14.2 (zoompage@DW-dev)
  • Color Transform 4.9.3 (colortransform@pjs.nl) (Inactive)
  • Image Zoom 0.6.3.1-signed ({1A2D0EC4-75F5-4c91-89C4-3656F6E44B68}) (Inactive)
  • Multirow Bookmarks Toolbar Plus 1.9 ({4c7097f7-08f2-4ef2-9b9f-f95fa4cbb064}) (Inactive)
  • NoSquint 2.1.9.1-signed (nosquint@urandom.ca) (Inactive)
  • PDF Viewer 1.0.277.1-signed (uriloader@pdf.js) (Inactive)
  • Roomy Bookmarks Toolbar 1.4.11 (ALone-live@ya.ru) (Inactive)
  • Theme Font & Size Changer 44.6 ({f69e22c7-bc50-414a-9269-0f5c344cd94c}) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: NVIDIA Quadro 2000
  • adapterDescription2:
  • adapterDeviceID: 0x0dd8
  • adapterDeviceID2:
  • adapterDrivers: nvd3dumx,nvwgf2umx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um,nvwgf2um
  • adapterDrivers2:
  • adapterRAM: 1024
  • adapterRAM2:
  • adapterSubsysID: 084a10de
  • adapterSubsysID2:
  • adapterVendorID: 0x10de
  • adapterVendorID2:
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 10.0.10586.0
  • driverDate: 7-22-2015
  • driverDate2:
  • driverVersion: 10.18.13.5362
  • driverVersion2:
  • info: {u'AzureCanvasAccelerated': 0, u'AzureCanvasBackend': u'direct2d 1.1', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'direct2d 1.1', u'ApzWheelInput': 1}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • supportsHardwareH264: Yes
  • webglRenderer: Google Inc. -- ANGLE (NVIDIA Quadro 2000 Direct3D11 vs_5_0 ps_5_0)
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Direct3D 11

Modified Preferences

Misc

  • User JS: No
  • Accessibility: No
FredMcD
  • Top 10 Contributor
4259 solutions 59635 answers

You are using a beta Firefox.

Contact the support site for NoSquint Go to the bottom of; https://urandom.ca/nosquint/

You are using a beta Firefox. Contact the support site for NoSquint Go to the bottom of; https://urandom.ca/nosquint/
the-edmeister
  • Top 25 Contributor
  • Moderator
5406 solutions 40241 answers

NoSquint was last updated April 20, 2013 - almost 3 years ago. It broke on Nightly back in January - https://github.com/jtackaberry/nosquint/issues/195 - and hasn't yet been fixed.

Developer Edition is an alpha2 level pre-release version of what will become Firefox in 6 to 12 weeks. Few add-on developers fix breakage until much closer to the Release of each new version of Firefox during the Beta phase or even wait until after the Release date.

If you "must have" specific add-ons in order to use Firefox, it is best to stick with the Release version and stay away from the pre-release versions - Beta, Developer Edition, and Nightly.

NoSquint was last updated April 20, 2013 - almost 3 years ago. It broke on Nightly back in January - https://github.com/jtackaberry/nosquint/issues/195 - and hasn't yet been fixed. Developer Edition is an '''alpha2''' level pre-release version of what will become Firefox in 6 to 12 weeks. Few add-on developers fix breakage until much closer to the Release of each new version of Firefox during the Beta phase or even wait until after the Release date. If you "must have" specific add-ons in order to use Firefox, it is best to stick with the Release version and stay away from the pre-release versions - Beta, Developer Edition, and Nightly.
cor-el
  • Top 10 Contributor
  • Moderator
17536 solutions 158573 answers

Did you check for issues caused by other extensions?

Create a new profile to test if your current profile is causing the problem and install only NoSquint in the new profile.

See "Creating a profile":

If the new profile works then you can transfer files from a previously used profile to the new profile, but be cautious not to copy corrupted files to avoid carrying over problems.

Did you check for issues caused by other extensions? Create a new profile to test if your current profile is causing the problem and install only NoSquint in the new profile. See "Creating a profile": *https://support.mozilla.org/kb/profile-manager-create-and-remove-firefox-profiles *http://kb.mozillazine.org/Standard_diagnostic_-_Firefox#Profile_issues If the new profile works then you can transfer files from a previously used profile to the new profile, but be cautious not to copy corrupted files to avoid carrying over problems. *http://kb.mozillazine.org/Transferring_data_to_a_new_profile_-_Firefox

Question owner

So let me get this straight, Firefox breaks a program that you guys are touting as a recommended add-on, and you will do nothing? Is that right? I need a 64 bit program and since Firefox has only deemed that it is in the developers edition so I get screwed in the mean time! I am more and more thinking about going to my old pre-webkit opera as my default browser until the fix this issue. The developer of this add-on is not the one who broke it, You guys did, so you should fix it!!

So let me get this straight, Firefox breaks a program that you guys are touting as a recommended add-on, and you will do nothing? Is that right? I need a 64 bit program and since Firefox has only deemed that it is in the developers edition so I get screwed in the mean time! I am more and more thinking about going to my old pre-webkit opera as my default browser until the fix this issue. The developer of this add-on is not the one who broke it, You guys did, so you should fix it!!
the-edmeister
  • Top 25 Contributor
  • Moderator
5406 solutions 40241 answers

Why do you "need" Firefox 64-bit?

Why do you "need" Firefox 64-bit?
James
  • Top 25 Contributor
  • Moderator
1598 solutions 11289 answers

Chosen Solution

If you need to use Win64 Firefox then why not use Firefox 45.0.1 Release as there has been Win64 Firefox Releases since 42.0. www.mozilla.org/firefox/all/

If you need to use Win64 Firefox then why not use Firefox '''45.0.1''' Release as there has been Win64 Firefox Releases since 42.0. www.mozilla.org/firefox/all/

Modified by James

James
  • Top 25 Contributor
  • Moderator
1598 solutions 11289 answers

The Aurora aka Developer Edition (a2) builds you are Testing are more unstable as the channel gets checkins almost every day and therefore a update each of those days (similar with Nightly). This can sometimes create issues in different ways until fixed or reverted or be intentional even.

Release < Beta < Aurora < Nightly


Also everybody who has posted in thread are users as we did not break Firefox ;)

The Aurora aka Developer Edition (a2) builds you are Testing are more unstable as the channel gets checkins almost every day and therefore a update each of those days (similar with Nightly). This can sometimes create issues in different ways until fixed or reverted or be intentional even. Release < Beta < Aurora < Nightly Also everybody who has posted in thread are users as we did not break Firefox ;)

Modified by James

Asperamanca 0 solutions 12 answers

It's now officially broken with Firefox 47.0

It's now officially broken with Firefox 47.0
the-edmeister
  • Top 25 Contributor
  • Moderator
5406 solutions 40241 answers
Try using NoSquint Plus or Page Zoom. https://addons.mozilla.org/en-US/firefox/addon/nosquint-plus/ https://addons.mozilla.org/en-US/firefox/addon/pagezoom/